GROUPADD(8)

NAME
groupadd - create a new group

SYNOPSIS

groupadd [-g gid [-o]] [-r] [-f] [-K KEY=VALUE] group

DESCRIPTION

The groupadd command creates a new group account using the values specified on the command line and the default values from the system. The new group will be entered into the system files as needed.

OPTIONS

The options which apply to the groupadd command are:

-f  This option causes to just exit with success status if the specified group already exists. With -g, if specified GID already exists, other (unique) GID is chosen (i.e. -g is turned off).

-r  This flag instructs groupadd to add a system account. The first available gid lower than GID_MIN will be automatically selected unless the -g option is also given on the command line. This is an option added by Red Hat.

-g GID
    The numerical value of the group's ID. This value must be unique, unless the -o option is used. The value must be non-negative. The default is to use ID value equal to or greater than GID_MIN and smaller than GID_MAX. Values between 0 and GID_MIN are typically reserved for system accounts.

-h, --help
    Display help message and exit.

-K KEY=VALUE
    Overrides /etc/login.defs defaults (GID_MIN, GID_MAX and others). Multiple -K options can be specified.

    Example: Set the gid of range from 100 to 499. # groupadd -K GID_MIN=100 -K GID_MAX=499 test

    The new group "test" is added into /etc/group.
     /etc/group test:x:105:

    Note: This option does not work when arguments are separated by comma. (Example: -K GID_MIN=10,GID_MAX=499)

-o  This option permits to add group with non-unique GID.

FILES

/etc/group
    Group account information.

/etc/gshadow
    Secure group account information.

/etc/login.defs
    Shadow password suite configuration.

CAVEATS

If the groupname already exists in an external group database such as NIS, groupadd will deny the group creation request.

EXIT VALUES

The groupadd command exits with the following values:

0   success

2   invalid command syntax

3   invalid argument to option

4   GID not unique (when -o not used)

9   group name not unique

10  can't update group file

SEE ALSO

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).